<?php
include("fckeditor.php") ;

include('../includes/hlava.php');
title('Klub priateľov fotografie', '../');

if ($link) {
  if ($db_selected) {
  
include('../includes/vedla.php');
odkaz('../');
include('../includes/menu.php');
menu('klub', '../');
?>       
               
            <ul class="menu pmenu">
              <li><a href="index.php" title="o klube">Úvod</a></li>
              <li><a href="clanky.php" title="články kpf">Články</a></li>
          
<?php
if (!(isset($_SESSION['login']) && ($_SESSION['login'] != ""))) :
// pouzivatel sa musi prihlasit, treba zobrazit prihlasovaci formular
?>
<?
else :
// pouzivatel je prihlaseny
    ?>
              <li class="medzera">&nbsp;</li>
              <li><a href="vloz.php" class="aktual" title="vloženie článku">Vložiť článok</a></li>
    
<?php
endif; // kontrola SESSION
        	
?>                    
          
            </ul> 
          
        <div class="obsah">  
      
<h2>Vložiť <em>článok</em></h2>


	
<?php

  if ($_SESSION['aid'] == '')
                $zobraz = false;
              else $zobraz = true; 
  
  if ($zobraz) {
  

  if (isset($_POST["submit"])){
    if (isset($_POST["nadpis"]) && ($_POST["nadpis"] != "") &&
        isset($_POST["perex"]) &&
        isset($_POST["kategoria"]) && ($_POST["kategoria"] != "NULL") &&
        isset($_POST["editor"])){
        
            $sql = "INSERT INTO kpf_clanky (cid, aid, nadpis, perex, text, kategoria, cas) VALUES (NULL, '".$_SESSION['aid']."', '" . $_POST["nadpis"] . "', '" . nl2br($_POST["perex"]) . "', '" . $_POST["editor"] . "', '" . $_POST["kategoria"] . "', NOW());";
            $result = mysql_query($sql, $link);	
            if ($result) {
              $sql2 = "SELECT C.cid
                       FROM kpf_clanky C
                       ORDER BY cas DESC
                       LIMIT 1;";
              $result2 = mysql_query($sql2, $link);
              if ($result2) {
              $row = mysql_fetch_assoc($result2);
              
              if ($_POST['kategoria'] != 'Fototéma'){
                $sql2 = "SELECT A.mail
                        FROM kpf_author A
                        WHERE rss_clanok='1';";
                $result2 = mysql_query($sql2, $link);
                if ($result2) {
                    $i = '0';
                    while ($row2 = mysql_fetch_assoc($result2)) {
                      if ($i != '0')
                        $maily .=", ";
                      $maily .= $row2['mail'];
                      $i++;
                    }
                    mail("$maily", "Novy clanok na sedf-klub.sk", 
                         "Mily priatel fotografie:)\n\nNa klubovej stranke je novy clanok:\nhttp://sedf-klub.sk/klub/clanok.php?id=".$row['cid']."\n\nAk nechces dostavať informacie o novych clankoch klikni na http://sedf-klub.sk/nastav.php.\n\nS pozdravom\nJano Duriga", "from: kpf@sedf-klub.sk");
                }
              }              
              
              header("Location: clanok.php?id=". $row['cid'] ."");
              }
            }
    } else {echo '<p>Je potrebné aby boli vyplnené všetky položky!</p>'; } 
  }
  
?>	
	
	  <!--action="sampleposteddata.php" -->
		<form class="login" action="<?php echo $_SERVER['REQUEST_URI'] ?>" method="post">
		<p class="form"><em class="bold">* Názov článku</em><input name="nadpis" size="55" type="text" maxlength="35" value="<?php echo $_POST['nadpis']?>"/><br />
  		<em class="bold">Úvod k článku</em><textarea name="perex" cols="39" rows="4"><?php echo $_POST['perex']?></textarea><br />
      <em class="bold">* Kategória</em> <select name="kategoria">
                                          <option value="NULL" selected="selected">Vyber kategoriu!</option>
                                          <option value="Naše akcie">Akcie</option>
<?php
  if ($_SESSION['aid'] == '1')
  echo '                                          <option value="Fototéma">Fototéma</option>';
?>                                        
                                          <option value="Schôdze">Schôdza</option>
                                          <option value="Úspechy">Úspechy</option>
                                          <option value="Výstavy">Výstava</option>
                                        </select><br />
      <em></em><b>Vyber kategoriu!</b></p>
    <p class="form"><em class="bold">Článok</em>		
<?php
// Automatically calculates the editor base path based on the _samples directory.
// This is usefull only for these samples. A real application should use something like this:
// $oFCKeditor->BasePath = '/fckeditor/' ;	// '/fckeditor/' is the default value.
$sBasePath = $_SERVER['PHP_SELF'] ;
$sBasePath = substr( $sBasePath, 0, strpos( $sBasePath, "editor" ) ) ;

$oFCKeditor = new FCKeditor('editor') ;
$oFCKeditor->BasePath = $sBasePath ;

$oFCKeditor->Value = $_POST['editor'] ;
$oFCKeditor->Create() ;


if ($a < $_GET['id']){
  $a = $_GET['id'];
}
  echo '<br /><br />
      
';
  for ($i=1; $i<=$a; $i++){

?>
      Fotka <input type="file" name="foto<?php echo $i?>" size="35"/><input type="hidden" name="MAX_FILE_SIZE" /><br />
      
<?php
}
?>      
      
      <!--<a href="?id=<?php $a++; echo $a?>">pridat fotku</a>-->
<?php
  if ($a > '1'){
?>      
      <a href="?id=<?php $a--; $a--; echo $a?>">odobrat fotku</a><br /><br />
<?php
  }
?>     
      <em class="bold">* povinné údaje</em></p>
			<input class="ok" name="submit" type="submit" value="Vložiť" />
		</form>
 
<?php
  }
  else echo '<p>vkladať članky môže len prihlásený používateľ.</p>';
        		}   
	   mysql_close($link);   
 
	}
include('../includes/pata.php'); 
?>
